.bolt-button-beige {
    align-items: center;
    background-color: #fff;
    border-radius: 3.125rem;
    display: inline-flex;
    height: 3.125rem;
    justify-content: space-between;
    margin-right: 0.4375rem;
    overflow: hidden;
    padding: 0.625rem 0.3125rem;
    position: relative;
    transition: all 0.5s ease;
    text-decoration: none !important;
  }
  
  .bolt-button-beige .volt {
    align-items: center;
    background-color: #000000;
    border-radius: 2.5rem;
    display: flex;
    gap: 0.625rem;
    margin-bottom: -0.3125rem;
    margin-top: -0.3125rem;
    overflow: hidden;
    padding: 0.625rem 0.9375rem;
    position: absolute;
    z-index: 1;
    transform: rotate(-180deg);
    width: 2.5rem;
    right: 0.3125rem;
    top: 0.625rem;
    transition: all 0.3s ease;
  }
  
  .bolt-button-beige .volt-image {
    flex: 1;
    flex-grow: 1;
    height: 1.25rem;
    object-fit: cover;
    position: relative;
    transform: rotate(180deg);
    transition: all 0.5s ease;
  }
  
  .bolt-button-beige .about-us {
    color: #000000;
    flex: 1;
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 0;
    line-height: normal;
    position: relative;
    text-align: center;
    margin: 0 3.4375rem 0 0.9375rem;
    transition: all 0.5s ease;
  }
  
  .bolt-button-beige:hover .volt {
    right: calc(100% - 2.8125rem);
  }
  .bolt-button-beige:hover .about-us {
    transform: translateX(2.5rem);
    color: #fff;
  }
  .bolt-button-beige:hover {
    background-color: #E00800;
  }

#app-download {
    overflow: hidden;
}
/* .download-app-txt p {
  margin-bottom: 0 !important;
} */

@media (min-width: 48.0625rem) {

  section.bg-black .row:nth-child(3) {
    margin-bottom: 1.875rem;
    border-top: 0.0625rem solid rgba(255, 255, 255, 0.1);
    border-bottom: 0.0625rem solid rgba(255, 255, 255, 0.1);
    padding-top: 0.625rem;
    padding-bottom: 0.625rem;
}
    #app-download {
        position: relative;
    }

    #app-download .row {
        height: 100%;
        max-width: 90rem;
        margin: auto;
        justify-content: space-between;
    }

    #app-download .download-app-img img {
        position: absolute;
        bottom: 0;
        height: 93%;
        max-height: 58.4375rem;
        max-width: none;
        width: auto;
    }
}


@media (min-width: 768px) {
    .bg-map {
        display: block;
    }
}

@media (min-width: 48rem) and (max-width: 61.9375rem) {
    .connect-with-us {
        margin-top: 11.875rem;
    }
}

.recent-posts img {
    object-fit: cover;
}

@media (min-width: 993px) {
.cg-events-img, .cg-events-desc {
    position: relative;
  }
  .event-slider.owl-carousel .owl-item img,
    .page-events-all .owl-carousel .owl-item img {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    object-fit: cover;
  }


  .cpo-img {
    position: relative;
    overflow: hidden;
    border-radius: 1.25rem;
    padding-top: 67%;
  }

  .cpo-img img {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    object-fit: cover;
  }
}

@media (min-width: 1201px) {
    .cpo-desc-txt {
        display: -webkit-box;
        -webkit-line-clamp: 8; /* Adjust number of lines */
        -webkit-box-orient: vertical;
        overflow: hidden;
    }
    .models-isOpen .cpo-desc-txt {
        -webkit-line-clamp: 100;
      }
}
.page-business-contact .contact-info {
    margin-bottom: 0;
    padding-top: 6.875rem ;
    padding-bottom: 6.875rem ;
  }
  @media only screen and (max-width: 992px) {
    /* .sm-section-mobile .footer-menu {
      flex-direction: row-reverse;
    } */
    i.fa {
      font-size: 1rem;
  }
  .download-app-txt p {
    line-height: 1rem;
  }
  p.logo-text { 
    color: rgba(57, 60, 65, 1);
}
ul.footer-menu.smallfont.email-location li, ul.footer-menu.smallfont.email-location li a {
  font-weight: 600 !important;
}
    }
  @media only screen and (max-width: 1024px) {
    .page-news-en .cg-events-desc h2 {
      width: 70%;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      display: block;
      margin: 0 auto;
      font-size: 1.25rem !important;
    }
  }
  /* Video sound control styles */
.home-banner {
    position: relative;
  }
  #video-sound-control .sound-bars {
    display: none;
  }
  
  #video-sound-control {
    position: absolute;
    right: 0.075rem;
    /* right: 1.875rem;  */
    bottom: 1.875rem;
    z-index: 99;
    height: 2rem;
  }
  
  #video-sound-control .mute {
    transform: scale(-1, 1);
    width: 2.625rem;
    height: auto;
    display: inline-block;
  }

  #video-sound-control .mute:hover {
    cursor: pointer;
    filter: brightness(100);  
  }
  #video-sound-control .sound-bars:hover .sound-bar {
    cursor: pointer;
    background-color: #fff;
  }
  
  .sound-bars {
    display: flex;
    align-items: center;
    gap: 0.25rem;
  }
  
  .sound-bar {
    width: 0.375rem;
    height: 0.3125rem;
    background-color: #E00800;
    animation: sound-wave 1s infinite ease-in-out alternate;
  }
  
  .sound-bar:nth-child(1) {
    animation-duration: 0.8s;
    animation-delay: 0s;
  }
  
  .sound-bar:nth-child(2) {
    animation-duration: 1s;
    animation-delay: 0.2s;
  }
  
  .sound-bar:nth-child(3) {
    animation-duration: 1.2s;
    animation-delay: 0.4s;
  }
  
  .sound-bar:nth-child(4) {
    animation-duration: 0.9s;
    animation-delay: 0.6s;
  }
  
  @keyframes sound-wave {
    0% {
        height: 0.3125rem;
    }
    100% {
        height: 2rem;
    }
  }

  @media (max-width: 430px) {
    .find-charger {
        bottom: 0rem;
        padding: 0 1.25rem;
      }
      .page-home .find-charger p {
        width: 90%;
      }
  }

  .page-news-ar .news-creation-date,
  .page-news-inner_news p.post-creation-date,
  .news-article .post-date,
  .page-events-inner_event .post-headline .post-date,
  .page-events-all .news-creation-date,
  .page-news-all .news-creation-date {
    direction: rtl;
  }
